package com.bonus.zlpt.equip.api.factory;

import com.bonus.zlpt.equip.api.RemoteDevInfoService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class DevInfoServiceApiFallbackFactory implements FallbackFactory<RemoteDevInfoService>
{
    private static final Logger log = LoggerFactory.getLogger(DevInfoServiceApiFallbackFactory.class);

    @Override
    public RemoteDevInfoService create(Throwable cause) {
        return null;
    }
}
